export function getInformalGroups(apiClient: any): any;
export default class InformalTaxonGroupChooserWidget extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        schema: PropTypes.Requireable<PropTypes.InferProps<{
            type: PropTypes.Requireable<string>;
        }>>;
        value: PropTypes.Requireable<string>;
    };
    constructor(props: any);
    state: {};
    componentDidMount(): void;
    mounted: boolean | undefined;
    UNSAFE_componentWillReceiveProps(props: any): void;
    componentWillUnmount(): void;
    getDefaultOptions: (props: any) => {
        button: any;
        rootOnly: any;
        grid: any;
    };
    onSelected: (id: any) => void;
    show: () => void;
    hide: () => void;
    onClear: (e: any) => void;
    render(): JSX.Element;
}
export class InformalTaxonGroupChooser extends React.Component<any, any, any> {
    static contextType: React.Context<import("../../ReactContext").ContextProps>;
    static propTypes: {
        onSelected: PropTypes.Validator<(...args: any[]) => any>;
        formContext: PropTypes.Validator<object>;
    };
    constructor(props: any);
    state: {
        path: undefined[];
    };
    componentDidMount(): void;
    mounted: boolean | undefined;
    UNSAFE_componentWillReceiveProps(props: any): void;
    componentWillUnmount(): void;
    onSelected: (id: any) => () => void;
    onSubgroupSelected: (id: any) => () => void;
    Container: ({ children }: {
        children: any;
    }) => JSX.Element;
    getButtonGroup: (id: any) => JSX.Element;
    getLabel: (id: any) => JSX.Element;
    GroupsContainer: ({ children }: {
        children: any;
    }) => JSX.Element;
    Item: (id: any) => JSX.Element;
    render(): JSX.Element;
}
import * as React from "react";
import * as PropTypes from "prop-types";
